Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.util
Class Util

    java.lang.Object
      org.jboss.soa.esb.util.Util

    public class Util

extends java.lang.Object

Method Summary
`static Message` | `deserialize(java.io.Serializable serial)`
`static void` | `dumpSysProps(java.io.PrintStream p_OS)`
`static java.lang.String` | `format(java.lang.String output)` Attempt to format the output.
`static org.apache.log4j.Logger` | `getDefaultLogger(java.lang.Class p_oCls)`
`static java.lang.String` | `getStamp()`
`static boolean` | `isLong(java.lang.String p_s)`
`static boolean` | `isNullString(java.lang.String p_s)`
`static boolean` | `isPositiveLong(java.lang.String p_s)`
`static int` | `parseInt(java.lang.String s)`
`static long` | `parseLong(java.lang.String s)`
`static java.util.List<KeyValuePair>` | `propertiesFromSelector(java.lang.String selector)`
`static java.io.Serializable` | `serialize(Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### dumpSysProps

    public static void dumpSysProps(java.io.PrintStream p_OS)

### isNullString

    public static boolean isNullString(java.lang.String p_s)

### isLong

    public static boolean isLong(java.lang.String p_s)

### isPositiveLong

    public static boolean isPositiveLong(java.lang.String p_s)

### parseInt

    public static int parseInt(java.lang.String s)

### parseLong

    public static long parseLong(java.lang.String s)

### getDefaultLogger

    public static org.apache.log4j.Logger getDefaultLogger(java.lang.Class p_oCls)

### serialize

    public static java.io.Serializable serialize(Message message)
                                          throws javax.xml.parsers.ParserConfigurationException,
                                                 java.io.IOException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `java.io.IOException`

### deserialize

    public static Message deserialize(java.io.Serializable serial)
                               throws javax.xml.parsers.ParserConfigurationException,
                                      org.xml.sax.SAXException,
                                      java.io.IOException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### propertiesFromSelector

    public static java.util.List<KeyValuePair> propertiesFromSelector(java.lang.String selector)

### getStamp

    public static java.lang.String getStamp()

### format

    public static java.lang.String format(java.lang.String output)

  Attempt to format the output.

  Parameters:
    `output` - Output to be formatted.
  Returns:
    Output.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD